Zabbix Documentation 4.4

3.04.04.4 (current)| In development:5.0 (devel)| Unsupported:1.82.02.22.43.23.44.2Guidelines

User Tools

Site Tools


manual:installation:install

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
manual:installation:install [2019/10/28 09:06]
martins-v adding enable-agent2 option
manual:installation:install [2020/03/02 08:06] (current)
martins-v git -> zabbix git repository
Line 94: Line 94:
 <note important>​ <note important>​
 Using <​nowiki>​--enable-static</​nowiki>​ option is not recommended when building server.\\ \\ In order to build the server statically you must have a static version of every external library needed. There is no strict check for that in configure script. Using <​nowiki>​--enable-static</​nowiki>​ option is not recommended when building server.\\ \\ In order to build the server statically you must have a static version of every external library needed. There is no strict check for that in configure script.
 +</​note>​
 +
 +<note important>​
 +If ./configure fails due to missing libraries or some other circumstance,​ please take a look at the ''​config.log''​ file for more detailed error description.
 +For example, if we have missing //libssl//, the error message may be misleading:
 +
 +  checking for main in -lmysqlclient... no
 +  configure: error: Not found mysqlclient library
 +
 +But, if we look at ''​config.log'',​ it has a more detailed description for configuration failure:
 +
 +  /​usr/​bin/​ld:​ cannot find -lssl
 +  /​usr/​bin/​ld:​ cannot find -lcrypto
 </​note>​ </​note>​
  
Line 108: Line 121:
  
 For encryption support see [[manual:​encryption#​compiling_zabbix_with_encryption_support|Compiling Zabbix with encryption support]]. For encryption support see [[manual:​encryption#​compiling_zabbix_with_encryption_support|Compiling Zabbix with encryption support]].
 +
 +See also: [[:​manual/​installation/​known_issues#​compiling_zabbix_agent_on_hp-ux|known issues]] with compiling Zabbix agent on HP-UX.
 +
 == 5 Make and install everything == == 5 Make and install everything ==
  
-<​note>​If installing from SVN, it is required to run first:+<​note>​If installing from [[https://​git.zabbix.com/​projects/​ZBX/​repos/​zabbix/​browse|Zabbix Git repository]], it is required to run first:
  
 ''​$ make dbschema''​ ''​$ make dbschema''​
Line 179: Line 195:
   cp -a . <​htdocs>/​zabbix   cp -a . <​htdocs>/​zabbix
  
-If installing from SVN and planning to use any other language than English, you must generate translation files. To do so, run:+If installing from [[https://​git.zabbix.com/​projects/​ZBX/​repos/​zabbix/​browse|Zabbix Git repository]] ​and planning to use any other language than English, you must generate translation files. To do so, run:
  
   locale/​make_mo.sh   locale/​make_mo.sh